petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatDenseGetColumnVec

Gives read-write access to a column of a dense matrix, represented as a Vec.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseGetColumnVec(Mat A,PetscInt col,Vec *v)

Collective

### Input Parameters

| mat | - the Mat object
| col | - the column index

### Output Parameter

| v | - the vector

### Notes

The vector is owned by PETSc. Users need to call MatDenseRestoreColumnVec() when the vector is no longer needed. Use MatDenseGetColumnVecRead() to obtain read-only access or MatDenseGetColumnVecWrite() for write-only access.

### See Also

MATDENSE, MATDENSECUDA, MatDenseGetColumnVecRead(), MatDenseGetColumnVecWrite(), MatDenseRestoreColumnVec(), MatDenseRestoreColumnVecRead(), MatDenseRestoreColumnVecWrite()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages